CodingParams.h File Reference
`#include "Quantizer.h"`

Go to the source code of this file.

## Classes

struct | grk::TileComponentCodingParams
| Tile-component coding parameters. More...
struct | grk::grk_mct_data
| MCT data. More...
struct | grk::grk_simple_mcc_decorrelation_data
| MCC decorrelation data. More...
struct | grk::TileCodingParams
| Tile coding parameters : this structure is used to store coding/decoding parameters common to all tiles (information like COD, COC in main header) More...
struct | grk::EncodingParams
struct | grk::DecodingParams
struct | grk::CodingParams
| Coding parameters. More...
struct | grk::DecompressorState
struct | grk::CompressorState

## Namespaces

namespace | grk
| Copyright (C) 2016-2023 Grok Image Compression Inc.

## Enumerations

enum | grk::J2K_MCT_ELEMENT_TYPE { grk::MCT_TYPE_INT16 = 0 , grk::MCT_TYPE_INT32 = 1 , grk::MCT_TYPE_FLOAT = 2 , grk::MCT_TYPE_DOUBLE = 3 }
| Type of elements storing in the MCT data. More...
enum | grk::J2K_MCT_ARRAY_TYPE { grk::MCT_TYPE_DEPENDENCY = 0 , grk::MCT_TYPE_DECORRELATION = 1 , grk::MCT_TYPE_OFFSET = 2 }
| Type of MCT array. More...
enum | grk::DECOMPRESS_STATE { grk::DECOMPRESS_STATE_NONE = 0x0000 , grk::DECOMPRESS_STATE_MH_SOC = 0x0001 , grk::DECOMPRESS_STATE_MH_SIZ = 0x0002 , grk::DECOMPRESS_STATE_MH = 0x0004 , grk::DECOMPRESS_STATE_TPH = 0x0008 , grk::DECOMPRESS_STATE_TPH_SOT = 0x0010 , grk::DECOMPRESS_STATE_DATA = 0x0020 , grk::DECOMPRESS_STATE_EOC = 0x0040 , grk::DECOMPRESS_STATE_NO_EOC = 0x0080 }
| Status of decoding process when decoding main header or tile header. More...